curl --request GET \
--url https://api.hubapi.com/account-info/v3/activity/audit-logs \
--header 'Authorization: Bearer <token>'{
"results": [
{
"actingUser": {
"userId": 123,
"userEmail": "<string>"
},
"action": "<string>",
"category": "<string>",
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"subCategory": "<string>",
"targetObjectId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Retrieve activity history for user actions related to approvals, content updates, CRM object updates, security activity, and more (Enterprise only). Learn more about activities included in audit log exports.
curl --request GET \
--url https://api.hubapi.com/account-info/v3/activity/audit-logs \
--header 'Authorization: Bearer <token>'{
"results": [
{
"actingUser": {
"userId": 123,
"userEmail": "<string>"
},
"action": "<string>",
"category": "<string>",
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"subCategory": "<string>",
"targetObjectId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Was this page helpful?